Skip to main content

DELETE /v1/users/me/avatar

Remove the caller's avatar.

::: tip Auth Required: cookie or Bearer. :::

Request​

DELETE /v1/users/me/avatar

No body.

Response​

204 No Content​

users.avatar_url is set to NULL. The stored object is deleted from object storage asynchronously.

Error responses​

StatusCodeWhen
401authentication_requiredNo valid auth credential.
404not_foundUser no longer exists.

Notes​

  • Idempotent — calling on a user with no avatar still returns 204.
  • The object deletion is best-effort.